summaryrefslogtreecommitdiffstats
path: root/package/sed
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2006-04-15 02:27:44 +0000
committerMike Frysinger <vapier@gentoo.org>2006-04-15 02:27:44 +0000
commit476ec17d2f39f6e001eee4871ba5c74d776d26ec (patch)
treece3d077be4ba8415af527e47950d4a0971ac665b /package/sed
parentf7739d831e19bfc46831186d75042b9f0daf6c9d (diff)
downloadbuildroot-novena-476ec17d2f39f6e001eee4871ba5c74d776d26ec.tar.gz
buildroot-novena-476ec17d2f39f6e001eee4871ba5c74d776d26ec.zip
syntax/comment touchups
Diffstat (limited to 'package/sed')
-rwxr-xr-xpackage/sed/sedcheck.sh24
1 files changed, 14 insertions, 10 deletions
diff --git a/package/sed/sedcheck.sh b/package/sed/sedcheck.sh
index 4d645b6ab..535ad6023 100755
--- a/package/sed/sedcheck.sh
+++ b/package/sed/sedcheck.sh
@@ -1,21 +1,25 @@
#!/bin/sh
-if [ -x /usr/bin/sed ]; then
- SED="/usr/bin/sed";
+# Make sure the host sed supports '-i' (in-place).
+# If it doesn't, we'll build and use our own.
+
+if test -x /usr/bin/sed ; then
+ SED="/usr/bin/sed"
else
- if [ -x /bin/sed ]; then
- SED="/bin/sed";
- fi;
-fi;
+ if test -x /bin/sed ; then
+ SED="/bin/sed"
+ else
+ SED="sed"
+ fi
+fi
echo "HELLO" > .sedtest
$SED -i -e "s/HELLO/GOODBYE/" .sedtest >/dev/null 2>&1
-if [ $? != 0 ] ; then
+if test $? != 0 ; then
echo build-sed-host-binary
else
echo use-sed-host-binary
-fi;
-rm -f .sedtest
-
+fi
+rm -f .sedtest